
<%@ page contentType="text/html;charset=GB2312" %>
<%@ page import="java.sql.*" %>
<jsp:useBean id="login" class="a1.Login" scope="session" >
</jsp:useBean>
<% //如果客户直接进入该页面将被转向登录页面。
   if(session.isNew())
    {response.sendRedirect("userLogin.jsp"); 
    }
   //如果没有成功登录将被转向登录页面
   String success=login.getSuccess();
         if(success==null)
         {success="";
         } 
   if(!(success.equals("ok")))
     {response.sendRedirect("userLogin.jsp"); 
     }
%>
<HTML>
<BODY  bgcolor=pink ><Font size=1>
<%@ include file="head.jsp" %>
<%String str=response.encodeURL("modifyMessage.jsp");
%>
<P>修改您的基本信息：真实姓名、电子邮件、电话、邮寄地址。
<FORM action="<%=str%>" Method="post">
<BR>输入您的用户名：
<BR><Input type=text name="logname" value="<%=login.getLogname()%>" >
<BR>输入您的密码：
<BR><Input type=password name="password">
<BR>输入新的姓名<Input type=text name="realname" >
<BR>输入新的email<Input type=text name="email" >
<BR>输入新的电话<Input type=text name="phone" >
<BR>输入新的地址<Input type=text name="address" >
<BR><Input type=submit name="g" value="提交">
</FORM>
<%!//处理字符串的一个常用方法：
    public String getString(String s)
     { if(s==null) s="";
       try {byte a[]=s.getBytes("ISO-8859-1");
            s=new String(a);
           }
       catch(Exception e)
           {  }
       return s;
     }
 %>
<%  String logname=request.getParameter("logname");  //获取提交的用户名。
           logname=getString(logname);
    String password=request.getParameter("password");    //获取提交的密码。
           password=getString(password);
    String realname=request.getParameter("realname");    //获取新姓名。
           realname=getString(realname);
    String email=request.getParameter("email");    //获取新email：
           email=getString(email); 
    String phone=request.getParameter("phone");    //获取新电话：
           phone=getString(phone); 
    String address=request.getParameter("address");   //获取新地址：
          address=getString(address); 
      try{Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
         }
     catch(ClassNotFoundException event){}
    //验证身份：
    Connection con=null;
    Statement sql=null;
    boolean modify=false;
    try{  con=DriverManager.getConnection("jdbc:odbc:shop","","");
          sql=con.createStatement();
          boolean bo1=logname.equals(login.getLogname()),
                  bo2=password.equals(login.getPassword());
         if(bo1&&bo2)
           {//修改信息：
            modify=true;
            out.print("<BR>您的信息已经更新");
            String c1="UPDATE user SET realname = "+"'"+realname+"'"+
                    " WHERE logname = "+"'"+logname+"'";
            String c2="UPDATE user SET email = "+"'"+email+"'"+
                     " WHERE logname = "+"'"+logname+"'";
            String c3="UPDATE user SET phone = "+"'"+phone+"'"+
                     " WHERE logname = "+"'"+logname+"'";
            String c4="UPDATE user SET address = "+"'"+address+"'"+
                     " WHERE logname = "+"'"+logname+"'";
            sql.executeUpdate(c1);
            sql.executeUpdate(c2);
            sql.executeUpdate(c3);
            sql.executeUpdate(c4);
           }
         else
           {out.print("<BR>您还没有输入密码或您输入的密码或用户名有错误");
           }
         con.close(); 
        }
   catch(SQLException e1) 
        { out.print("<BR>更新失败");
        }
%>
</FONT> 
</BODY>
</HTML>
